import { SvelteComponentTyped } from "svelte";
export type State = {
    images: HTMLImgAttributes[];
    index: number;
};
import type { HTMLImgAttributes } from 'svelte/elements';
import { type TransitionConfig } from 'svelte/transition';
import Controls from './Controls.svelte';
import Indicators from './Indicators.svelte';
declare const __propDef: {
    props: {
        [x: string]: any;
        images: HTMLImgAttributes[];
        index?: number | undefined;
        transition?: ((node: HTMLElement, params: any) => TransitionConfig) | undefined;
        duration?: number | undefined;
    };
    events: {
        change: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            index: number;
            Controls: typeof Controls;
            Indicators: typeof Indicators;
        };
    };
};
export type CarouselProps = typeof __propDef.props;
export type CarouselEvents = typeof __propDef.events;
export type CarouselSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let images: HTMLImgAttributes[];
 * @prop export let index: number = 0;
 * @prop export let transition: TransitionFunc = (x) => fade(x, { duration: 700, easing: quintOut });
 * @prop export let duration: number = 0;
 */
export default class Carousel extends SvelteComponentTyped<CarouselProps, CarouselEvents, CarouselSlots> {
}
export {};
//# sourceMappingURL=Carousel.svelte.d.ts.map